Class ProxyInterceptorBuilder
- All Implemented Interfaces:
MutinyDelegate
>Builder class for a customizable interceptor capable of transforming HTTP request/response head attributes (headers, path, query params) as well as transforming the HTTP body.</p
Head transformation methods can be invoked multiple times. Operations on the path will be invoked in the order of configuration, that goes for operations on request headers, response headers and query parameters.
Body transformation can be achieved with transformingResponseBody(BodyTransformer) and
transformingRequestBody(BodyTransformer). Body transformation buffer the body content and then applies
a transforming function before sending the response.
NOTE: This class has been automatically generated from the original non Mutiny-ified interface.
- See Also:
-
ProxyInterceptorBuilder
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionProxyInterceptorBuilder(io.vertx.httpproxy.ProxyInterceptorBuilder delegate) Create a new instance ofProxyInterceptorBuilderdelegating to the given (non-null) instance ofProxyInterceptorBuilder.ProxyInterceptorBuilder(Object delegate) -
Method Summary
Modifier and TypeMethodDescriptionaddingPathPrefix(String prefix) Add a prefix to the URI.build()booleanfilteringRequestHeaders(Set<CharSequence> forbiddenRequestHeaders) Filter the request headers in the given set.filteringResponseHeaders(Set<CharSequence> forbiddenResponseHeaders) Filter the response headers in the given set.io.vertx.httpproxy.ProxyInterceptorBuilderGet the delegate instance.inthashCode()static ProxyInterceptorBuildernewInstance(io.vertx.httpproxy.ProxyInterceptorBuilder delegate) Creates a new instance of theProxyInterceptorBuilder.removingPathPrefix(String prefix) Remove a prefix to the URI.removingQueryParam(String name) Remove a query parameter from the request.settingQueryParam(String name, String value) Add a query parameter to the request.toString()transformingPath(Function<String, String> mutator) Apply a callback to change the request URI when the proxy receives it.transformingQueryParams(Consumer<io.vertx.core.MultiMap> updater) Apply modifications to the query parameters.transformingRequestBody(BodyTransformer requestTransformer) Apply a transformation to change the request body when the proxy receives it.transformingRequestHeaders(Consumer<io.vertx.core.MultiMap> requestHeadersUpdater) Apply callbacks to change the request headers when the proxy receives them.transformingResponseBody(BodyTransformer responseTransformer) Apply a transformation to change the response body when the proxy receives it.transformingResponseHeaders(Consumer<io.vertx.core.MultiMap> responseHeadersUpdater) Apply callbacks to change the response headers when the proxy receives them.
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
ProxyInterceptorBuilder
public ProxyInterceptorBuilder(io.vertx.httpproxy.ProxyInterceptorBuilder delegate) Create a new instance ofProxyInterceptorBuilderdelegating to the given (non-null) instance ofProxyInterceptorBuilder. -
ProxyInterceptorBuilder
-
-
Method Details
-
getDelegate
public io.vertx.httpproxy.ProxyInterceptorBuilder getDelegate()Get the delegate instance.This method returns the instance on which this shim is delegating the calls. And so, give you access to the bare API.
- Specified by:
getDelegatein interfaceMutinyDelegate- Returns:
- the delegate instance
-
build
- Returns:
- the proxy interceptor build according to builder requirements
-
transformingQueryParams
Apply modifications to the query parameters.- Parameters:
updater- the operation to apply to the request query parameters (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
settingQueryParam
Add a query parameter to the request.- Parameters:
name- the parameter name (can be null, but in this case nothing happens)value- the parameter value (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
removingQueryParam
Remove a query parameter from the request.- Parameters:
name- the parameter name (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
transformingPath
Apply a callback to change the request URI when the proxy receives it.- Parameters:
mutator- the operation that applied to the path (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
addingPathPrefix
Add a prefix to the URI.- Parameters:
prefix- the prefix that need to be added (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
removingPathPrefix
Remove a prefix to the URI. Do nothing if it doesn't exist.- Parameters:
prefix- the prefix that need to be removed (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
transformingRequestHeaders
public ProxyInterceptorBuilder transformingRequestHeaders(Consumer<io.vertx.core.MultiMap> requestHeadersUpdater) Apply callbacks to change the request headers when the proxy receives them.- Parameters:
requestHeadersUpdater- the operation to apply to the request headers (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
transformingResponseHeaders
public ProxyInterceptorBuilder transformingResponseHeaders(Consumer<io.vertx.core.MultiMap> responseHeadersUpdater) Apply callbacks to change the response headers when the proxy receives them.- Parameters:
responseHeadersUpdater- the operation to apply to the response headers (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
filteringRequestHeaders
Filter the request headers in the given set.- Parameters:
forbiddenRequestHeaders- a set of the headers that need to be filtered (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
filteringResponseHeaders
Filter the response headers in the given set.- Parameters:
forbiddenResponseHeaders- a set of the headers that need to be filtered (can be null, but in this case nothing happens)- Returns:
- a reference to this, so the API can be used fluently
-
transformingRequestBody
Apply a transformation to change the request body when the proxy receives it.
The interceptor fully buffers the request body and then applies the transformation.
- Parameters:
requestTransformer- the operation to apply to the request body- Returns:
- the created interceptor
-
transformingResponseBody
Apply a transformation to change the response body when the proxy receives it.
The interceptor fully buffers the response body and then applies the transformation.
- Parameters:
responseTransformer- the operation to apply to the response body- Returns:
- the created interceptor
-
newInstance
public static ProxyInterceptorBuilder newInstance(io.vertx.httpproxy.ProxyInterceptorBuilder delegate) Creates a new instance of theProxyInterceptorBuilder. -
hashCode
public int hashCode() -
equals
-
toString
-